--AH:ScriptId=6a429dcc-3a84-411d-9137-43462aeedfcb;2866
CREATE TABLE [EventOccurrences]
(
	[EventOccurrence_Id] INT IDENTITY(1,1) NOT NULL,
	[Event_Code] CHAR(6) NOT NULL,
	[User_Name] USERNAME NOT NULL,
	[Occurrence_Date] DATETIME NOT NULL,
	[Feed_Id] INT NULL,
	[Details_Xml] XML NULL,

	CONSTRAINT [PK__EventOccurrences]
		PRIMARY KEY ([EventOccurrence_Id]),

	CONSTRAINT [FK__EventOccurrences__EventTypes]
		FOREIGN KEY ([Event_Code])
		REFERENCES [EventTypes] ([Event_Code]),

	CONSTRAINT [FK__EventOccurrences__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
)

GO

CREATE NONCLUSTERED INDEX [IX__EventOccurrences__Occurrence_Date]
	ON [EventOccurrences] ([Occurrence_Date] DESC)
	INCLUDE ([Feed_Id])

CREATE NONCLUSTERED INDEX [IX__EventOccurrences__User_Name]
	ON [EventOccurrences] ([User_Name])
