--AH:ScriptId=fe0c92b2-3a5d-417d-838f-ce3bc91d0f48;2897
ALTER TABLE [RoleTasks]
	DROP CONSTRAINT [FK__RoleTasks__Tasks]

ALTER TABLE [Tasks]
	DROP CONSTRAINT [PK__Tasks]

ALTER TABLE [Tasks]
	DROP CONSTRAINT [UQ__Tasks]
GO

EXEC sp_rename 'dbo.Tasks', 'Tasks2'
GO

CREATE TABLE [Tasks]
(
	[Task_Id] INT NOT NULL,
	[Task_Name] VARCHAR(50) NOT NULL,
	[Feed_Scopeable_Indicator] YNINDICATOR NOT NULL,
	[Project_Scopeable_Indicator] YNINDICATOR NOT NULL,
	[Environment_Scopeable_Indicator] YNINDICATOR NOT NULL,

	CONSTRAINT [PK__Tasks]
		PRIMARY KEY ([Task_Id]),

	CONSTRAINT [UQ__Tasks]
		UNIQUE ([Task_Name])
)
GO

INSERT INTO [Tasks]
SELECT *
  FROM [Tasks2]

DROP TABLE [Tasks2]


INSERT INTO [Tasks]
(
	[Task_Id],
	[Task_Name],
	[Feed_Scopeable_Indicator],
	[Project_Scopeable_Indicator],
	[Environment_Scopeable_Indicator]
)
VALUES
(
	26,
	'Admin_ViewScheduledTasks',
	'N',
	'N',
	'N'
)

INSERT INTO [Tasks]
(
	[Task_Id],
	[Task_Name],
	[Feed_Scopeable_Indicator],
	[Project_Scopeable_Indicator],
	[Environment_Scopeable_Indicator]
)
VALUES
(
	27,
	'Admin_ManageScheduledTasks',
	'N',
	'N',
	'N'
)

ALTER TABLE [RoleTasks]
	ADD CONSTRAINT [FK__RoleTasks__Tasks]
		FOREIGN KEY ([Task_Id])
		REFERENCES [Tasks] ([Task_Id])

INSERT INTO [RoleTasks]
SELECT [Role_Id],
       [Task_Id] = 26
  FROM [Roles] R
 WHERE R.[Role_Name] IN ('Administrator', 'Developer')

INSERT INTO [RoleTasks]
SELECT [Role_Id],
       [Task_Id] = 27
 FROM [Roles] R
WHERE R.[Role_Name] = 'Administrator'
