IF OBJECT_ID('[Webhooks_Extended]') IS NOT NULL DROP VIEW [Webhooks_Extended]
GO

CREATE VIEW [Webhooks_Extended]
AS
	SELECT W.[Webhook_Id],
	       W.[Feed_Id],
		   F.[Feed_Name],
		   F.[FeedType_Name],
		   W.[Webhook_Name],
		   W.[EventType_Name],
		   W.[Target_Url],
		   W.[Method_Name],
		   W.[Condition_Text],
		   W.[Headers_Bytes],
		   W.[Content_Bytes]
	  FROM [Webhooks] W
		   LEFT JOIN [Feeds] F
		          ON F.[Feed_Id] = W.[Feed_Id]

GO